lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'garden_messenger/version'

Gem::Specification.new do |spec|
  spec.name          = 'garden_messenger'
  spec.version       = GardenMessenger::VERSION
  spec.authors       = ['Yves Siegrist']
  spec.email         = ['Elektron1c97@gmail.com']

  spec.summary       = 'Delivery boy for garden_monitor'
  spec.description   = '...'
  spec.homepage      = 'https://github.com/siegy22/garden_messenger'
  spec.license       = 'MIT'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'action_cable_client', '~> 3.0'
  spec.add_dependency 'http', '~> 4.1'
  spec.add_dependency 'thor', '~> 0.20'

  spec.add_development_dependency 'activesupport', '6.0.0.rc1'
  spec.add_development_dependency 'bundler', '~> 2.0'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rubocop', '~> 0.67'
end
